<?php
namespace FiloBlu\StockaFix\Model;

/**
 * Class Report
 * @package FiloBlu\StockaFix\Model
 */
class Report extends \Magento\Framework\Model\AbstractModel implements \Magento\Framework\DataObject\IdentityInterface
{
    /**
     *
     */
    const CACHE_TAG = 'filoblu_stockafix_report';

    /**
     * @var string
     */
    protected $_cacheTag = 'filoblu_stockafix_report';

    /**
     * @var string
     */
    protected $_eventPrefix = 'filoblu_stockafix_report';

    /**
     *
     */
    protected function _construct()
    {
        $this->_init('FiloBlu\StockaFix\Model\ResourceModel\Report');
    }

    /**
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }

    /**
     * @return array
     */
    public function getDefaultValues()
    {
        $values = [];

        return $values;
    }
}